# Raspberry Pi5 bootloader EEPROM release notes

2023-09-25: Remove redundant WAKE_ON_GPIO parameter

* Remove the redundant WAKE_ON_GPIO parameter. The power-button (or connectors)
  can always wake a Pi5. There is no support for wakeup on the 40-pin
  header because this is managed by RP1 which will be off during STANDBY.
* Improve USB-C CC voltage comparator logic when determining USB-C
  (non PD) current levels.

2023-09-21: Power button and ACT LED improvements

* Fix bug where button press was not monitor for USB-C power supplies
  that were detected as < 3A.
* In USB boot mode automatically select max-current during a reboot
  (but not power on reset) to improve OS installation experience.
* USB-MSD stability improvements
* Remove the HALT error pattern and go to halt/standby immediately.
* Add support for HAT map.


2023-09-13: Initial release

* Initial manufacturing software
* Network Install is not available in this version
* rpi-eeprom-update uses self-update on Pi5 rather than recovery.bin.
  so that the update mechanism is the same on all boot-modes and the
  boot file-system is never modified by the firmware/recovery.bin.
  recovery.bin is still used by RPi Imager - bootloader update SD card images.
* Pi4 and Pi4 bootloader images and recovery.bin are not compatible.
  The 2711/2712 boot ROM ignores incompatible recovery.bin files.
